Summary:	The mate desktop programs for the MATE GUI desktop environment
Name:		mate-session-manager
Version:	1.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	%{name}-%{version}.tar.xz
Source1:	startmate
Source2:	materc
#---------------------------------------
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	mate-common
BuildRequires:	xmlto
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}upower-glib-devel
BuildRequires: %{_lib}wrap-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xau-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xtst-devel
BuildRequires: libxml2-utils
BuildRequires: x11-xtrans-devel
#----------------------------------------
Requires:	desktop-common-data


%description
MATE (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The MATE Session Manager restores a set session (group of applications)
when you log into MATE.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-upower --with-gtk=3.0

%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_datadir}/doc/mate-session/dbus/mate-session.html

# wmsession session file
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/05MATE
NAME=MATE
ICON=mate
DESC=MATE Environment
EXEC=%{_bindir}/startmate
SCRIPT:
exec %{_bindir}/startmate
EOF

install -D -m 755 %{SOURCE1} %{buildroot}%{_bindir}/startmate
install -D -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/materc

rm -rf %{buildroot}%{_datadir}/xsessions/mate.desktop

%find_lang %{name}

%post
%{make_dm_session}
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%postun
%{make_dm_session}
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

   
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/mate-session-properties
%{_bindir}/mate-session-save
%{_bindir}/mate-wm
%{_datadir}/applications/*
%{_bindir}/mate-session-inhibit

%{_datadir}/mate-session-manager
%{_mandir}/man1/mate-session-properties.*
%{_mandir}/man1/mate-session-save.1.bz2
%{_mandir}/man1/mate-wm.1.bz2
%config %{_sysconfdir}/X11/wmsession.d/*

%{_sysconfdir}/materc
%{_bindir}/mate-session
%{_bindir}/startmate
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/mate-session.*
%{_datadir}/glib-2.0/schemas/org.mate.session.gschema.xml
%{_datadir}/man/man1/mate-session-inhibit.1.bz2

%clean
rm -rf %buildroot

%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Sat Oct 28 2017 bb2 <bb2> - 1.18.2-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.18.1-2pclos2017
- rebuild against updates
- drop patch0 dock patch as it breaks mate-tweak

* Fri Jul 21 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Thu Jun 29 2017 bb2 <bb2> - 1.18.0-2pclos2017
- patch out invalid dock entry in gschema.xml

* Tue Mar 14 2017 bb2 <bb2> - 1.18.0-1pclos2017
- new version

* Mon Feb 06 2017 bb <bb> - 1.16.1-2pclos2017
- rebuild

* Mon Feb 06 2017 bb <bb> - 1.16.1-1pclos2017
- new version

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Sat Aug 27 2016 bb <bb> 1.14.1-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Sun Apr 03 2016 bb <bb> 1.13.0-2pclos2016
- rebuild against backported upower

* Fri Apr 01 2016 bb <bb> 1.13.0-1pclos2016
- update for new upower

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.2-2pclos2015
- rebuild for updates
